Subject: Re: Error: procedure entry point in cygreadline6.dll
From: René Berber <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Aug 2006 19:36:05 -0500
Newsgroups: gmane.os.cygwin.xfree

doublehelix wrote:

> Hello
> 
> I'm a novice cygwin user running cygwin on a Dell PC with Windows XP.
> A couple of months ago an unrelated software package I tried to
> install on my machine must have corrupted cygwin, because since then I
> have been unable to run it. 

Do you know what package was that?   There are known problems with some
packages, so it may be helpful.

> Now when I try to start cygwin with
> cygwin.bat, I always get the error from the bash.exe window:
> 
> The procedure entry point rl_variable_value could not be located in the
> dynamic link library cygreadline6.dll
> 
> I've tried to uninstall and reinstall cygwin, but I get the exact same
> message during the preremove script runs.  A similar entry point error question in the
> archive suggested that an extra copy of the .dll caused the problem, but my searches yield
> only one cygreadline6.dll.I also get a bash.exe.stackdump file after I attempt to open cygwin, which I've included below.
> 
> Any suggestions on how to fix this problem, or cleanly uninstall/reinstall cygwin without
> using setup.exe or cygwin bash (since this error persists on these actions)?
[snip]

Look for duplicates of cygwin1.dll, that's what usually other packages install
and is what breaks a Cygwin installation.

I've cc'ed this reply to the main Cygwin list because this has nothing to do
with cygwin-xfree.
-- 
René Berber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/